<?php

class Tapatalk_Push_Conversation extends XFCP_Tapatalk_Push_Conversation
{

    /**
     * Post-save handling.
     */
    protected function _postSave()
    {
        parent::_postSave();
        if (isset($_REQUEST['redirect']) && strpos($_REQUEST['redirect'], 'rebuild&success=1') !== false) {
            return;
        }
        $conver_msg = $this->getMergedData();
        // add a global var save conversation_id
        $GLOBALS['tapatalk_conversation_id'] = $conver_msg['conversation_id'];
        return;
    }

}